Subject: Re: Linuxppc-embedded Digest, Vol 39, Issue 48

From: fabio777 <[email-masked]>
Date: Tue, 27 Nov 2007 20:59:44 +0200

Thanks Ben,

Here it is

static struct fsl_spi_platform_data k_platform_data = {
    .initial_spmode = 0,
    .bus_num = 1,
    .max_chipselect = 1,
/* board specific information */
    .activate_cs = k_cs_activate,
    .deactivate_cs = k_cs_deactivate,
    .sysclk =    266,
};

static struct spi_board_info spi_board_info[] __initdata = { {
    .modalias    = "kplus",
    .platform_data    = &k_platform_data,
    .max_speed_hz    = 120000,
    .bus_num    = 1,
    .chip_select    = 0,
},
};

struct platform_device k_plus = {
    .name        = "kplus",
    .id        = 1,
    .dev        = {
        .platform_data = &k_platform_data,
    },
};

 platform_device_register(&k_plus);

 spi_register_board_info(spi_board_info, ARRAY_SIZE(spi_board_info))

and then calls  spi_register_driver(&k_driver);

I can't get the into the *probe functions. 

Thanks 

>
> fabio777 wrote:
>   
>> Has anyone been using this driver ?
>>   
>>     
> I use it, on ARCH=powerpc, though.
>   
>> For legacy reasons I need to keep the ppc=arch however I haven't found 
>> out how to get this driver probed at start-up even basing my init on 
>> Lublock.
>>
>>   
>>     
> The driver's expecting a platform device with name "mpc83xx_spi" to be 
> registered in board init code. If you post your init code I may be able 
> to help.
>
> regards,
> Ben
>
>